<div id="settings">
  <div id="hideBottomInput">
    <div class="d-flex align-center justify-space-between mt-1">
      <div class="d-flex align-center">
        <p class="mb-0 h6 colorGreyMain">Sales over time</p>
      </div>
    </div>
    <v-card class="pa-3 pa-sm-6 mt-6 ui-card">
      <div class="flex flex-wrap align-center justify-end">
        <div id="hideBottomInput">
          <v-checkbox
            dense
            class="mt-0 pt-0 checkbox-isAbandoned"
            v-model="isAbandonedMail"
            label="Is abandoned checkout"
          >
          </v-checkbox>
        </div>
        <div class="max-w-[250px] w-full">
          <v-menu
            v-model="datePicker"
            nudge-bottom="10px"
            style="position: relative; z-index: 999"
            :close-on-content-click="false"
            transition="scale-transition"
            offset-y
            left
            min-width="auto"
          >
            <template v-slot:activator="{ on, attrs }">
              <v-text-field
                v-model="dateRangeText"
                dense
                readonly
                outlined
                v-bind="attrs"
                v-on="on"
                class="bg-white px-4 py-2 min-w-[250px]"
                prepend-inner-icon="mdi-calendar-blank"
              >
              </v-text-field>
            </template>
            <v-date-picker
              v-model="dateArr"
              style="position: relative; z-index: 999"
              range
            >
              <v-spacer></v-spacer>
              <v-btn text color="primary" @click="datePicker = false">
                Cancel
              </v-btn>
              <v-btn text color="primary" @click="onHandleSearch()"> OK </v-btn>
            </v-date-picker>
          </v-menu>
        </div>
        <v-btn
          color="#076CE3"
          height="40px"
          id="buttonHover"
          @click="onHandleSearch()"
          class="elevation-0 sm:mt-0 max-w-[80px]"
        >
          <span class="text-capitalize white--text"> Filter </span>
        </v-btn>
      </div>
      <div class="d-flex flex-wrap align-center justify-end mt-4 gap-2">
        <v-btn
          :disabled="loadingTableUtm || loadingTableDomain || loadingTableProduct || loadingTableSeller"
          class="elevation-0 mb-md-0 mb-2 py-2 px-3 text-sm text-none"
          @click="onFilterByTime('Today')"
          :class="timeActive === 'Today' ? '!bg-button !text-content-on-color' : ' !text-content-main'"
        >
          Today
        </v-btn>
        <v-btn
          :disabled="loadingTableUtm || loadingTableDomain || loadingTableProduct || loadingTableSeller"
          class="elevation-0 mb-md-0 mb-2 py-2 px-3 text-sm text-none"
          @click="onFilterByTime('Yesterday')"
          :class="timeActive === 'Yesterday' ? '!bg-button !text-content-on-color' : '!text-content-main'"
        >
          Yesterday
        </v-btn>
        <v-btn
          :disabled="loadingTableUtm || loadingTableDomain || loadingTableProduct || loadingTableSeller"
          class="elevation-0 mb-md-0 mb-2 py-2 px-3 text-sm text-none"
          @click="onFilterByTime('Last 7 days')"
          :class="timeActive === 'Last 7 days' ? '!bg-button !text-content-on-color' : '!text-content-main'"
        >
          Last 7 days
        </v-btn>
        <v-btn
          :disabled="loadingTableUtm || loadingTableDomain || loadingTableProduct || loadingTableSeller"
          class="elevation-0 mb-md-0 mb-2 py-2 px-3 text-sm text-none"
          @click="onFilterByTime('Last 14 days')"
          :class="timeActive === 'Last 14 days' ? '!bg-button !text-content-on-color' : '!text-content-main'"
        >
          Last 14 days
        </v-btn>
        <v-btn
          :disabled="loadingTableUtm || loadingTableDomain || loadingTableProduct || loadingTableSeller"
          class="elevation-0 mb-md-0 mb-2 py-2 px-3 text-sm text-none"
          @click="onFilterByTime('This week')"
          :class="timeActive === 'This week' ? '!bg-button !text-content-on-color' : '!text-content-main'"
        >
          This week
        </v-btn>
        <v-btn
          :disabled="loadingTableUtm || loadingTableDomain || loadingTableProduct || loadingTableSeller"
          class="elevation-0 mb-md-0 mb-2 py-2 px-3 text-sm text-none"
          @click="onFilterByTime('Last week')"
          :class="timeActive === 'Last week' ? '!bg-button !text-content-on-color' : '!text-content-main'"
        >
          Last week
        </v-btn>
        <v-btn
          :disabled="loadingTableUtm || loadingTableDomain || loadingTableProduct || loadingTableSeller"
          class="elevation-0 mb-md-0 mb-2 py-2 px-3 text-sm text-none"
          @click="onFilterByTime('This month')"
          :class="timeActive === 'This month' ? '!bg-button !text-content-on-color' : '!text-content-main'"
        >
          This month
        </v-btn>
        <v-btn
          :disabled="loadingTableUtm || loadingTableDomain || loadingTableProduct || loadingTableSeller"
          class="elevation-0 mb-md-0 mb-2 py-2 px-3 text-sm text-none"
          @click="onFilterByTime('Last month')"
          :class="timeActive === 'Last month' ? '!bg-button !text-content-on-color' : '!text-content-main'"
        >
          Last month
        </v-btn>
        <v-btn
          :disabled="loadingTableUtm || loadingTableDomain || loadingTableProduct || loadingTableSeller"
          class="elevation-0 mb-md-0 mb-2 py-2 px-3 text-sm text-none"
          @click="onFilterByTime('This year')"
          :class="timeActive === 'This year' ? '!bg-button !text-content-on-color' : '!text-content-main'"
        >
          This year
        </v-btn>
      </div>
      <v-tabs
        v-model="tab"
        background-color="transparent"
        color="primary"
        class="mt-3"
        show-arrows
      >
        <v-tab class="text-none text-[#7A8C96] text-sm"> Date </v-tab>
        <v-tab class="text-none text-[#7A8C96] text-sm"> Domain </v-tab>
        <v-tab class="text-none text-[#7A8C96] text-sm"> Product </v-tab>
        <v-tab class="text-none text-[#7A8C96] text-sm"> Seller </v-tab>
      </v-tabs>
      <v-divider></v-divider>
      <v-skeleton-loader
        class="mx-auto mt-4"
        width="100%"
        type="card"
        v-if="loadingTableUtm || loadingTableDomain || loadingTableProduct || loadingTableSeller"
      >
      </v-skeleton-loader>
      <v-tabs-items v-model="tab" touchless v-else>
        <v-tab-item>
          <v-card color="basil" flat class="py-4">
            <List
              :listData.sync="listDate"
              :tab="tab"
              :isAbandonedMail="isAbandonedMail"
              :dateStart.sync="dateStart"
              :dateEnd.sync="dateEnd"
            />
            <div
              class="d-flex justify-center my-4"
              v-if="!listDate.length && !loadingTable"
            >
              <span>No UTM data</span>
            </div>
          </v-card>
        </v-tab-item>
        <v-tab-item>
          <v-card color="basil" flat class="py-4">
            <List
              :listData.sync="listDomain"
              :tab="tab"
              :isAbandonedMail="isAbandonedMail"
            />
            <div
              class="d-flex justify-center my-4"
              v-if="!listDomain.length && !loadingTable"
            >
              <span>No Domain data</span>
            </div>
          </v-card>
        </v-tab-item>
        <v-tab-item>
          <v-card color="basil" flat class="py-4">
            <List
              :listData.sync="listProduct"
              :tab="tab"
              :isAbandonedMail="isAbandonedMail"
            />
            <div
              class="d-flex justify-center my-4"
              v-if="!listProduct.length && !loadingTable"
            >
              <span>No Product data</span>
            </div>
          </v-card>
        </v-tab-item>
        <v-tab-item>
          <v-card color="basil" flat class="py-4">
            <List
              :listData.sync="listSeller"
              :tab="tab"
              :isAbandonedMail="isAbandonedMail"
            />
            <div
              class="d-flex justify-center my-4"
              v-if="!listSeller.length && !loadingTable"
            >
              <span>No Order data</span>
            </div>
          </v-card>
        </v-tab-item>
      </v-tabs-items>
    </v-card>
  </div>
</div>
